define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Contains the result set for a successfully executed ExternalTask.
     */
    class ExternalTaskFinished {
        constructor(externalTaskId, result) {
            this.externalTaskId = externalTaskId;
            this.result = result;
        }
        /**
         * Sends the ExternalTasks result to the ExternalTaskAPI, using the given 'IExternalTaskAPI' instance.
         *
         * @async
         * @param externalTaskApi    The ExternalTaskAPI instance that should process the ExternalTasks result.
         * @param identity           The identity to use for sending the ExternalTasks result.
         * @param workerId           Id of the Worker wich handled this tasks.
         */
        async sendToExternalTaskApi(externalTaskApi, identity, workerId) {
            await externalTaskApi.finishExternalTask(identity, workerId, this.externalTaskId, this.result);
        }
    }
    exports.ExternalTaskFinished = ExternalTaskFinished;
});
//# sourceMappingURL=external_task_finished.js.map