"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Contains the result set for an ExternalTask that failed with an Error.
 */
class ExternalTaskBpmnError {
    constructor(externalTaskId, errorCode) {
        this.externalTaskId = externalTaskId;
        this.errorCode = errorCode;
    }
    /**
     * Sends the ExternalTasks result to the ExternalTaskAPI, using the given 'IExternalTaskAPI' instance.
     *
     * @async
     * @param externalTaskApi    The ExternalTaskAPI instance that should process the ExternalTasks result.
     * @param identity           The identity to use for sending the ExternalTasks result.
     * @param workerId           Id of the Worker wich handled this tasks.
     */
    async sendToExternalTaskApi(externalTaskApi, identity, workerId) {
        await externalTaskApi.handleBpmnError(identity, workerId, this.externalTaskId, this.errorCode);
    }
}
exports.ExternalTaskBpmnError = ExternalTaskBpmnError;
//# sourceMappingURL=external_task_bpmn_error.js.map